Properties Methods Events Direct Link

# Class Ext.tree.TreeNodeUI

Package: | Ext.tree
Defined In: | TreeNodeUI.js
Class: | TreeNodeUI
Extends: | Object

This class provides the default UI implementation for Ext TreeNodes. The TreeNode UI implementation is separate from the tree implementation, and allows customizing of the appearance of tree nodes.

If you are customizing the Tree's user interface, you may need to extend this class, but you should never need to instantiate this class.

This class provides access to the user interface components of an Ext TreeNode, through Ext.tree.TreeNode.getUI

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

addClass( `String/Array className` ) : void
Adds one or more CSS classes to the node's UI element. Duplicate classes are automatically filtered out.
Adds one or more CSS classes to the node's UI element. Duplicate classes are automatically filtered out.
Parameters:

- `className` : String/Array
  The CSS class to add, or an array of classes

Returns:

- `void`

TreeNodeUI

getAnchor() : HtmlElement
Returns the <a> element that provides focus for the node's UI.
Returns the <a> element that provides focus for the node's UI.
Parameters:

- None.

Returns:

- `HtmlElement`
  The DOM anchor element.

TreeNodeUI

getIconEl() : HtmlElement
Returns the icon <img> element.
Returns the icon <img> element.
Parameters:

- None.

Returns:

- `HtmlElement`
  The DOM image element.

TreeNodeUI

getTextEl() : HtmlNode
Returns the text node.
Returns the text node.
Parameters:

- None.

Returns:

- `HtmlNode`
  The DOM text node.

TreeNodeUI

hide() : void
Hides this node.
Hides this node.
Parameters:

- None.

Returns:

- `void`

TreeNodeUI

isChecked() : Boolean
Returns the checked status of the node. If the node was rendered with no checkbox, it returns false.
Returns the checked status of the node. If the node was rendered with no checkbox, it returns false.
Parameters:

- None.

Returns:

- `Boolean`
  The checked flag.

TreeNodeUI

removeClass( `String/Array className` ) : void
Removes one or more CSS classes from the node's UI element.
Removes one or more CSS classes from the node's UI element.
Parameters:

- `className` : String/Array
  The CSS class to remove, or an array of classes

Returns:

- `void`

TreeNodeUI

show() : void
Shows this node.
Shows this node.
Parameters:

- None.

Returns:

- `void`

TreeNodeUI

toggleCheck( `Boolean (optional)` ) : void
Sets the checked status of the tree node to the passed value, or, if no value was passed, toggles the checked status....
Sets the checked status of the tree node to the passed value, or, if no value was passed, toggles the checked status. If the node was rendered with no checkbox, this has no effect.
Parameters:

- `(optional)` : Boolean
  The new checked status.

Returns:

- `void`

TreeNodeUI

## Public Events

This class has no public events.